{{ $data := index .Site.Data .Site.Language.Lang }}
{{ if $data.homepage.contact.enable }}
<section id="contact" class="section section--contact pt-0">
    <div class="container">
        <div class="contact">
            <h2>{{ $data.homepage.contact.title }}</h2>
            <div class="row pt-2">
                <div class="col-12 col-lg-7">
                    <form id="rad-message" action="">
                        <div class="row">
                            <div class="col-12 col-sm-6">
                                <input type="text" required name="" id="fullname"
                                       placeholder="{{ $data.homepage.contact.form.full_name }}"/>
                            </div>
                            <div class="col-12 col-sm-6">
                                <input type="email" required name="" id="email"
                                       placeholder="{{ $data.homepage.contact.form.email }}"/>
                            </div>
                        </div>
                        <div class="row pt-4">
                            <div class="col-12"> 
                                <textarea name="" id="message" required
                                          cols="30" rows="3" placeholder="{{ $data.homepage.contact.form.message }}"></textarea>
                            </div>
                        </div>
                        <div class="row pt-4">
                            <div class="col-12">
                                <button type="submit" id="rad-message-submit" class="btn btn-primary">
                                    <i class="{{ $data.homepage.contact.button.icon }}"></i>
                                    {{ $data.homepage.contact.button.btnText }}
                                </button>
                            </div>
                        </div>
                    </form>                        
                    <div id="rad-message-success" class="d-none">
                        <p class="lead">{{ $data.homepage.contact.success_message }}</p>
                    </div>
                    <div id="rad-message-fail" class="d-none">
                        <p>{{ $data.homepage.contact.error_message }}</p>
                    </div>
                    <script type="text/javascript">
                        const radMessageRequest=(e="",s={})=>fetch(e,{method:"POST",headers:{"Content-Type":"application/json"},redirect:"follow",referrer:"no-referrer",body:JSON.stringify(s)}),makeMessageRequest=async(e,s)=>{e.preventDefault();try{s.querySelector("#rad-message-submit").classList.add("is-loading"),await radMessageRequest("https://huginn.rymain.com/users/1/web_requests/23/li45nsdln",{email:s.querySelector("#email").value, fullname:s.querySelector("#fullname").value, message:s.querySelector("#message").value}),s.classList.add("d-none"),document.querySelector("#rad-message-success").classList.remove("d-none"),document.querySelector("#rad-message-success").classList.add("d-flex")}catch(e){console.log(e),s.classList.add("d-none"),document.querySelector("#rad-message-fail").classList.remove("d-none"),document.querySelector("#rad-message-fail").classList.add("d-flex")}finally{s.querySelector("#rad-message-submit").classList.remove("is-loading")}},initRadMessage=()=>{const e=document.querySelector("#rad-message");e&&e.addEventListener("submit",s=>makeMessageRequest(s,e))};initRadMessage();
                    </script>
                </div>
                <div class="col-12 col-lg-5 contact__info">
                    <h4>{{ $data.homepage.contact.phone.title }}</h4>
                    <span>{{ $data.homepage.contact.phone.number }}</span>
                    <h4>{{ $data.homepage.contact.email.title }}</h4>
                    <span>{{ $data.homepage.contact.email.email | safeHTML }}</span>
                    <h4>{{ $data.homepage.contact.address.title }}</h4>
                    <span>{{ $data.homepage.contact.address.address | safeHTML }}</span>
                </div>
            </div>
        </div>
    </div>
</section>
{{ end }}
